
.auth_main_content {
    height: 600px;
    width: 100%;
    float: left;
    flex: 1;
    padding: 10px;
    background: #e1e1e1;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}


.auth_main_block {
    background: white;
    padding: 40px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    max-width: 400px;
    width: 100%;
    margin-top: 30px;
    margin-bottom: 30px;
}


.auth_main_block p {
    margin-bottom: 20px;
    color: #666;
}

h2 {
    color: #000;
    text-align: center;
}


.password-container {
  position: relative;
  width: 100%;
}

#password {
  padding-right: 30px; /* Устанавливаем отступ справа, чтобы текст не перекрывал картинку */
}

#passwordIcon, #passwordIcon_1, #passwordIcon_2 {
    position: absolute;
    right: 10px;
    top: 42%;
    transform: translateY(-50%);
    width: 30px;
    height: 30px;
    cursor:pointer;
}


.auth_form_group {
    margin-bottom: 15px;
}


input[type="text"], input[type="email"], input[type="password"] {
    width: 100%;
    padding: 10px;
    margin: 5px 0 15px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

input[type="submit"], input[type="button"] {
    width: 100%;
    background-color: #007aff;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}



input[type="submit"]:hover {
    background-color: #ccc;
}


input[type="submit"].active {
  background-color: #007aff; /* синий цвет */
}


input[type="text"] {
    width: 100%;
    padding: 10px;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}


input[type="submit"]:hover, .back-button:hover {
    background-color: #0056b3;
}




.login_btn-google {
    margin-bottom: 20px;
    padding: 10px;
    background: #000000;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.login_btn-google img {
    margin-right: 10px;
}

.login_divider {
    margin-bottom: 20px;
    color: #999;
}

.login_input-group {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.login_input-group img {
    margin-right: 5px;
    margin-left: 5px;
    margin-bottom: 10px;
    width: 20px;
}

.login_input-group input {
    flex: 1;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.login_btn-email {
    font-weight: 600;
    display: block;
    width: 100%;
    padding: 10px;
    background: #0071e3;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-bottom: 20px;
}

.login_btn-email:hover{
    background: #2271b2;
}



.login_links {
    display: flex;
    justify-content: space-between;
}

.login_links a {
    color: #0071e3;
    text-decoration: none;
}

/*Кнопка "Отправить еще раз" код активации вкл.через 60 сек.*/
.form-group-mess{
    width: 100%;
    height: 40px;
    border-radius: 4px;
    box-shadow: 0px 0px 10px #cecece;
    text-align: center;
    cursor: pointer;
    background-color: green;
    color: #fff;
    border: none;
    outline: none;
}

.form-group-mess_block{
    width: 100%;
    height: 40px;
    border-radius: 4px;
    box-shadow: 0px 0px 10px #cecece;
    text-align: center;
    cursor: pointer;
    background-color: #c8c8c8;
    color: #000000;
    border: none;
    outline: none;
}


.activate_page_btn_set{
    width: 100%;
    background-color: #007aff;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}


.activate_p_message{
    text-align: left;
    color: red !important;
    margin: 0 !important;
    padding: 0 !important;
}

